﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Drawing.Drawing2D;

namespace Gaudeix.Admin.Controls.General
{
    public partial class EtiquetaTitol : UserControl
    {
        #region Constructors
        public EtiquetaTitol()
        {
            InitializeComponent();
            SetStyle(ControlStyles.ResizeRedraw, true);
            this.Location = new Point(0, 0);
        }
        #endregion

        #region Propietats públiques
        /// <summary>
        /// Llegeix o estableix la imatge que es mostrarà al control
        /// </summary>
        public Image Image
        {
            get { return this.picTitol.Image; }
            set { this.picTitol.Image = value; }
        }

        /// <summary>
        /// Llegeix o estableix el text que es mostrarà al control
        /// </summary>
        public string Titol
        {
            get { return this.lblTitol.Text; }
            set { this.lblTitol.Text = value; }
        }

        public  Font FontTitol
        {
            get { return this.lblTitol.Font; }
            set { this.lblTitol.Font = value; }
        }

        public  Color ForeColorTitol
        {
            get { return lblTitol.ForeColor; }
            set { this.lblTitol.ForeColor = value; }
        }

        #endregion

        #region Mètodes interns
        protected override void OnPaintBackground(PaintEventArgs e)
        {
            Graphics g = e.Graphics;
            Rectangle bounds = this.ClientRectangle;

            // Colores
            Color gradientBegin = Color.FromArgb(89, 135, 214);
            Color gradientEnd = Color.FromArgb(0, 45, 150);

            using (LinearGradientBrush b = new LinearGradientBrush(bounds, gradientBegin, gradientEnd, LinearGradientMode.Vertical))
            {
                g.FillRectangle(b, bounds);
            }
        }
        #endregion
    }
}
