﻿using System;
using System.Windows.Forms;
using System.Text;
using Gaudeix.Admin.Utils;
using Gaudeix.Admin.Infrastructure.Factory;
using Gaudeix.Admin.Resources;

namespace Gaudeix.Admin.Forms.Admin
{
    public partial class EndpointLogin : Form
    {
        public string SelectedAddress { get; set; }
        public string SelectedUser { get; set; }
        public string SelectedPassword { get; set; }

        public EndpointLogin(string baseAddress, string username)
        {
            InitializeComponent();
            this.Icon = CommonResources.IconApp;
            this.txtServidor.Text = baseAddress;
            this.txtUserName.Text = username;
            //if (!String.IsNullOrEmpty(txtUserName.Text))
            //{
            //    txtPassword.Focus();
            //}
            //else if (!String.IsNullOrEmpty(txtServidor.Text))
            //{
            //    txtUserName.Focus();
            //}
            //else
            //{
            //    txtServidor.Focus();
            //}
        }

        private void btnCancelar_Click(object sender, EventArgs e)
        {
            CancelLaunch();
        }

        private void CancelLaunch()
        {
            this.DialogResult = DialogResult.Cancel;
            this.Close();
        }

        private void btnAceptar_Click(object sender, EventArgs e)
        {
            LaunchApplication();
        }

        private void LaunchApplication()
        {
            StringBuilder errors = new StringBuilder();
            if (string.IsNullOrEmpty(txtServidor.Text.Trim()))
            {
                errors.AppendLine("    - El camp 'Adreça servidor WCF' és obligatori");
            }
            if (string.IsNullOrEmpty(txtUserName.Text.Trim()))
            {
                errors.AppendLine("    - El camp 'Nom d'usuari' és obligatori.");
            }
            if (string.IsNullOrEmpty(txtPassword.Text.Trim()))
            {
                errors.AppendLine("    - El camp 'Paraula clau' és obligatori.");
            }
            if (errors.Length > 0)
            {
                FormUtils.MissatgeError("S'han detectat els següents errors:\n" + errors.ToString());
                this.DialogResult = DialogResult.None;
                return;
            }
            // Validem que les credencials siguin correctes
            if (!WcfFactory.CheckCredentials(txtServidor.Text, txtUserName.Text, txtPassword.Text))
            {
                FormUtils.MissatgeError("El servidor, l'usuari o la paraula clau són incorrectes.\nSi us plau, revisi els valors i torni a provar-ho.");
                this.DialogResult = DialogResult.None;
                return;
            }
            else
            {
                this.DialogResult = DialogResult.OK;
                SelectedAddress = txtServidor.Text;
                SelectedUser = txtUserName.Text;
                SelectedPassword = txtPassword.Text;
                this.Close();
            }
        }
    }
}
