﻿using System.Collections.Generic;
using Gaudeix.Admin.Entities.Menu;

namespace Gaudeix.Admin.Infrastructure.Forms
{
    /// <summary>
    /// Interficie que han d'implementar els formularis "fills" (cridats a través d'un "parent") del contenidor
    /// </summary>
    public interface IChildForm
    {
        #region Mètodes a implementar
        /// <summary>
        /// Obté una llista que conté el menú del formulari
        /// </summary>
        /// <returns>Menu del formulari</returns>
        IList<ItemMenu> GetFormMenu();

        /// <summary>
        /// Indica al formulari que executi una comanda del menú.
        /// </summary>
        /// <param name="command">Comanda a executar. Coincideix amb el tag passat per la interficie</param>
        void ExecuteCommand(string command);
        #endregion
    }
}
