﻿using System;
using System.Windows.Forms;
using Gaudeix.Admin.Forms;
using Gaudeix.Admin.Forms.Admin;
using Gaudeix.Admin.Utils;
using System.Configuration;
using Gaudeix.Admin.Infrastructure.Config;
namespace Gaudeix.Admin
{
    static class Program
    {

        /// <summary>
        /// Punt d'entrada a l'aplicació
        /// </summary>
        [STAThread]
        static void Main()
        {
            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);


            // Pantalla de benvinguda
            EndpointLogin config = new EndpointLogin(ConfigManager.GetBaseAddress(), ConfigManager.GetLastUserName());
            try
            {
                if (config.ShowDialog() == DialogResult.OK)
                {
                    ConfigManager.UpdateEndpointsAddress(config.SelectedAddress);
                    ConfigManager.SetCurrentLogin(config.SelectedUser, config.SelectedPassword);
                    // Obrim una instància del formulari "MainForm"
                    Application.Run(new MainForm());
                }
            }
            catch (Exception ex)
            {
                FormUtils.MissatgeError("S'ha produït un error:\n" + ex.Message + "\n" + ex.StackTrace);
            }
        }
    }
}

