﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Gaudeix.Common.Models.Common;
using Gaudeix.Common.Resources;

namespace Gaudeix.Common.Constants
{
    /// <summary>
    /// Constants comunes de l'aplicació
    /// </summary>
    public static class CommonConstants
    {
        #region Codis dels paràmetres de configuració
        // Text del mail de recomanació
        public const string PARAM_MAIL_RECOMANACIO = "MAIL_RECOMANACIO";

        // Text del correu de confirmació de compra per a l'usuari
        public const string PARAM_MAIL_COMPRA_USER ="MAIL_COMPRA_USUARI";

        // Text del correu de confirmació de compra per a l'empresa
        public const string PARAM_MAIL_COMPRA_EMPRESA = "MAIL_COMPRA_EMPRESA";

        // Text del correu de benvinguda
        public const string PARAM_MAIL_BENVINGUDA = "MAIL_BENVINGUDA";

        // Text del correu d'ofertes
        public const string PARAM_MAIL_OFERTES = "MAIL_OFERTES";

        // Text del texte de la pestanya "Sobre nosaltres"
        public const string PARAM_TEXT_ABOUT_US = "TEXT_ABOUT_US";

        // Usuari del servidor de correu electrònic
        public const string PARAM_SMTP_USER = "SMTP_USER";

        // Contrasenya del servidor de correu electrònic
        public const string PARAM_SMTP_PASSWORD = "SMTP_PASSWORD";

        // Servidor de correu electrònic
        public const string PARAM_SMTP_SERVER = "SMTP_SERVER";

        // Port del servidor de correu electrònic
        public const string PARAM_SMTP_PORT = "SMTP_PORT";

        // Flag que indica si s'ha de fer servir SSL
        public const string PARAM_SMTP_SSL = "SMTP_SSL";

        // Timeout per a l'enviament de correus
        public const string PARAM_SMTP_TIMEOUT = "SMTP_TIMEOUT";

        // Adreça del remitent
        public const string PARAM_SMTP_SENDER_ADDRESS = "SMTP_SENDER_ADDRESS";

        // Nom del remitent
        public const string PARAM_SMTP_SENDER_NAME = "SMTP_SENDER_NAME";

        // Paginació: número de registres per plana
        public const string PARAM_NUM_REGISTRES_PLANA = "NUM_REGISTRES_PLANA";
        #endregion

        #region Camps per a substituir als texts dels correus
        public const string FIELD_MISSATGE_OPCIONAL = "{MISSATGE_OPCIONAL}";
        public const string FIELD_NOM_RECEPTOR = "{NOM_RECEPTOR}";
        public const string FIELD_NOM_RECOMANAT = "{NOM_RECOMANANT}";
        public const string FIELD_LINK_OFERTA = "{LINK_OFERTA}";
        public const string FIELD_TITOL_OFERTA = "{TITOL_OFERTA}";
        public const string FIELD_ID_COMPRA = "{ID_COMPRA}";
        public const string FIELD_NOM_CONTACTES = "{NOM_CONTACTES}";
        public const string FIELD_NOM_COMPRADOR = "{NOM_COMPRADOR}";
        public const string FIELD_DOCUMENT_COMPRADOR = "{DOCUMENT_COMPRADOR}";
        public const string FIELD_DATA_COMPRA = "{DATA_COMPRA}";
        public const string FIELD_NOM_CATEGORIA ="{NOM_CATEGORIA}";
        public const string FIELD_LLISTA_OFERTES ="{LLISTA_OFERTES}";

        #endregion


        #region Codis d'ordenació per a la cerca d'ofertes
        public const int ORDER_BY_PREU_ASC = 1;
        public const int ORDER_BY_PREU_DESC = 2;
        public const int ORDER_BY_TITOL_ASC = 3;
        public const int ORDER_BY_TITOL_DESC = 4;
        public const int ORDER_BY_DATA_ASC = 5;
        public const int ORDER_BY_DATA_DESC = 6;
        public const int PAGINACIO_MIN_PAGINACIO = 3;

        #endregion

        /// <summary>
        /// Retorna la llista d'ordenacions disponibles per a la cerca d'ofertes
        /// </summary>
        /// <returns>Llista d'ordenacions</returns>
        public static IList<ItemIdDescripcio> GetLlistaOrdre()
        {
            IList<ItemIdDescripcio> llista = new List<ItemIdDescripcio>();
            llista.Add(new ItemIdDescripcio(ORDER_BY_PREU_ASC, CommonFields.ComboOrdrePreuAsc));
            llista.Add(new ItemIdDescripcio(ORDER_BY_PREU_DESC, CommonFields.ComboOrdrePreuDesc));
            llista.Add(new ItemIdDescripcio(ORDER_BY_TITOL_ASC, CommonFields.ComboOrdreTitolAsc));
            llista.Add(new ItemIdDescripcio(ORDER_BY_TITOL_DESC, CommonFields.ComboOrdreTitolDesc));
            llista.Add(new ItemIdDescripcio(ORDER_BY_DATA_ASC, CommonFields.ComboOrdreDataAsc));
            llista.Add(new ItemIdDescripcio(ORDER_BY_DATA_DESC, CommonFields.ComboOrdreDataDesc));
            return llista;
        }
    }
}
