﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Gaudeix.Common.Exceptions
{
    /// <summary>
    /// Excepció per a encapsular tots els errors produïts als controllers
    /// </summary>
    public class GaudeixControllerException : System.Exception
    {
          /// <summary>
        /// Inicialitza una nova instancia de la classe.
        /// </summary>
        /// <param name="message">Missatge d'error</param>
        public GaudeixControllerException(string missatge): base(missatge) { }

        /// <summary>
        /// Inicialitza una nova instancia de la classe, inicialitzant-la amb un missatge d'error 
        /// i una excepció interna que representa la causa de l'exepció
        /// </summary>
        /// <param name="missatge">Missatge d'error que explica el motiu de l'excepció</param>
        /// <param name="innerException">Excepció original produïda</param>
        public GaudeixControllerException(string missatge, Exception innerException) : base(missatge, innerException) { }


    }
}
