﻿using Castle.Facilities.Logging;
using Castle.MicroKernel.Registration;
using Castle.MicroKernel.SubSystems.Configuration;
using Castle.Windsor;

namespace Gaudeix.Common.Infrastructure.Installer
{
    /// <summary>
    /// Classe encarregada de afegir la "Facility" de log4net en un contenidor de Castle.Windsor
    /// </summary>
    public class LoggerInstaller : IWindsorInstaller
    {
        /// <summary>
        /// Instal·la el servei de log a un contenidor de Windsor
        /// </summary>
        /// <param name="container">Contenidor on s'instal·larà</param>
        /// <param name="store">Emmagatzemament de les metadades</param>
        public void Install(IWindsorContainer container, IConfigurationStore store)
        {
            container.AddFacility<LoggingFacility>(f => f.UseLog4Net().WithAppConfig());
        }

    }
}
