﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Gaudeix.Common.Domain.Entities;
using Gaudeix.Common.Infrastructure.Dao;
using Gaudeix.Common.Models.Common;

namespace Gaudeix.Common.Interfaces.Dao
{
    /// <summary>
    /// Interficie de declaracio d'operacions sobre categories per a la capa de dades
    /// </summary>
    public interface ICategoriaDao : IBaseDao<Categoria, int>
    {
        #region Mètodes a implementar
        /// <summary>
        /// Obté la llista de les categories donades d'alta al sistema
        /// </summary>
        /// <returns>Llistat de categories ordenat per nom</returns>
        IList<ItemIdDescripcio> GetCategories();
        #endregion
    }
}
