﻿using System.Collections.Generic;
using Gaudeix.Common.Domain.Entities;
using Gaudeix.Common.Infrastructure.Dao;
using Gaudeix.Common.Models.Browse;

namespace Gaudeix.Common.Interfaces.Dao
{
    /// <summary>
    /// Interficie de declaracio d'operacions sobre comentaris d'ofertes per a la capa de dades
    /// </summary>
    public interface IComentariOfertaDao : IBaseDao<ComentariOferta, int>
    {
        #region Mètodes a implementar
        /// <summary>
        /// Obté els comentaris d'una oferta en concret
        /// </summary>
        /// <param name="idOferta">Codi de l'oferta a cercar</param>
        /// <returns>Comentaris de l'oferta ordenats per data descendentment</returns>
        IList<ItemLlistaComentaris> GetComentarisOferta(int idOferta);

        #endregion
    }
}
