﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Gaudeix.Common.Domain.Entities;
using Gaudeix.Common.Infrastructure.Dao;

namespace Gaudeix.Common.Interfaces.Dao
{
    /// <summary>
    /// Interficie de declaracio d'operacions sobre emails per a la capa de dades
    /// </summary>
    public interface ICuaCorreuDao : IBaseDao<CuaCorreu, int>
    {
        #region Mètodes a implementar
        /// <summary>
        /// Obté un llistat dels correus pendents d'enviament
        /// </summary>
        /// <returns>Correus pendents d'enviament</returns>
        IList<CuaCorreu> GetCorreusPendents();
        #endregion
    }
}
