﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Gaudeix.Common.Domain.Entities;
using Gaudeix.Common.Infrastructure.Dao;

namespace Gaudeix.Common.Interfaces.Dao
{
    /// <summary>
    /// Interficie de declaracio d'operacions sobre fotografies d'ofertes per a la capa de dades
    /// </summary>
    public interface IFotoOfertaDao : IBaseDao<FotoOferta, int>
    {
        /// <summary>
        /// Recupera la foto d'una oferta a partir de la PK de la oferta
        /// </summary>
        /// <param name="idOferta"></param>
        /// <returns></returns>
        FotoOferta GetByIdOferta(int idOferta);
    }
}
