﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Gaudeix.Common.Infrastructure.Dao;
using Gaudeix.Common.Domain.Entities;
using Gaudeix.Common.Models.Admin;

namespace Gaudeix.Common.Interfaces.Dao
{
    /// <summary>
    /// Interficie de declaracio d'operacions sobre paràmetres per a la capa de dades
    /// </summary>
    public interface IParametreDao : IBaseDao<Parametre, int>
    {
        #region Mètodes a implementar
        /// <summary>
        /// Obté el valor d'un paràmetre a partir del seu codi
        /// </summary>
        /// <param name="codiParametre">Codi del paràmetre</param>
        /// <returns>Valor del paràmetre si es troba, o string buit en cas contrari</returns>
        string GetParamValueByCodi(string codiParametre);

        /// <summary>
        /// Obté la llista de tots els paràmetres donats d'alta al sistema
        /// </summary>
        /// <returns>Llista de tots els paràmetres del sistema</returns>
        IList<ParametreModel> GetAllParametres();
        #endregion

    }
}
