﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Gaudeix.Common.Domain.Entities;
using Gaudeix.Common.Infrastructure.Dao;
using Gaudeix.Common.Models.Common;

namespace Gaudeix.Common.Interfaces.Dao
{
    /// <summary>
    /// Interficie de declaracio d'operacions sobre poblacions per a la capa de dades
    /// </summary>
    public interface IPoblacioDao : IBaseDao<Poblacio, int>
    {
        #region Mètodes a implementar
        /// <summary>
        /// Obté un llistat de les poblacions que pertanyen a una provincia determinada, 
        /// ordenat per nom de població.
        /// </summary>
        /// <param name="idProvincia">Codi de la provincia de cerca</param>
        /// <returns>Llista de poblacions de la provincia indicada</returns>
        /// <exception cref="GaudeixDaoException">En cas d'error en l'accés a la BD</exception>
        IList<ItemIdDescripcio> GetPoblacionsByIdProvincia(int idProvincia);
        #endregion
    }
}
