﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Gaudeix.Common.Domain.Entities;
using Gaudeix.Common.Infrastructure.Dao;
using Gaudeix.Common.Models.Common;

namespace Gaudeix.Common.Interfaces.Dao
{
    /// <summary>
    /// Interficie de declaracio d'operacions sobre provincies per a la capa de dades
    /// </summary>
    public interface IProvinciaDao : IBaseDao<Provincia, int>
    {
        #region Mètodes a implementar
        /// <summary>
        /// Recupera totes les provincies donades d'alta a la base de dades
        /// </summary>
        /// <returns>Llista de provincies, ordenada per nom ascendent</returns>
        /// <exception cref="GaudeixDaoException">En cas d'error en l'accés a la BD</exception>
        IList<ItemIdDescripcio> GetProvincies();
        #endregion
    }
}
