﻿using System.Collections.Generic;
using Gaudeix.Common.Models.Browse;
using Gaudeix.Common.Infrastructure.Manager;

namespace Gaudeix.Common.Interfaces.Manager
{
    /// <summary>
    /// Interficie de declaracio d'operacions sobre comentaris d'oferta per a la capa de negoci
    /// </summary>
    public interface IComentariOfertaManager : IBaseManager
    {
        #region Mètodes a implementar
        /// <summary>
        /// Obté els comentaris d'una oferta en concret
        /// </summary>
        /// <param name="idOferta">Codi de l'oferta a cercar</param>
        /// <returns>Comentaris de l'oferta ordenats per data descendentment</returns>
        IList<ItemLlistaComentaris> GetComentarisOferta(int idOferta);

        /// <summary>
        /// Afegeix un comentari d'usuari a una oferta
        /// </summary>
        /// <param name="idOferta">Oferta on s'afegeix el comentari</param>
        /// <param name="username">Usuari que comenta la oferta</param>
        /// <param name="comentari">Comentari</param>
        /// <param name="valoracio">Valoració de la oferta</param>
        /// <returns></returns>
        int AfegirComentari(int idOferta, string username, string comentari, short valoracio);
        #endregion

    }
}
