﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Gaudeix.Common.Infrastructure.Manager;
using Gaudeix.Common.Models.Common;

namespace Gaudeix.Common.Interfaces.Manager
{
    /// <summary>
    /// Interficie de declaracio de càlculs estadístics
    /// </summary>
   public interface IEstadistiquesManager : IBaseManager
    {
        /// <summary>
        /// Obté un llistat de data-valor de les vendes dels darrers set dies
        /// </summary>
        /// <returns>Llistat de vendes dels darrers set dies</returns>
        IList<ItemDataValor> GetEstadisticaVendes();

        /// <summary>
        /// Obté un llistat de data-valor dels beneficis dels darrers set dies
        /// </summary>
        /// <returns>Llistat de beneficis dels darrers set dies</returns>
        IList<ItemDataValor> GetEstadisticaBeneficis();

        /// <summary>
        /// Obté un llistat de data-valor dels registres d'usuari dels darrers set dies
        /// </summary>
        /// <returns>Llistat de registres d'usuari dels darrers set dies</returns>
        IList<ItemDataValor> GetEstadisticaRegistres();

        /// <summary>
        /// Obté un llistat de data-valor de les publicacions d'ofertes dels darrers set dies
        /// </summary>
        /// <returns>Llistat d'ofertes publicades dels darrers set dies</returns>
        IList<ItemDataValor> GetEstadisticaPublicacions();
    }
}
