﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Gaudeix.Common.Infrastructure.Manager;

namespace Gaudeix.Common.Interfaces.Manager
{
    /// <summary>
    /// Interficie de declaracio d'operacions sobre categories per a la capa de negoci
    /// </summary>
    public interface IFotoOfertaManager : IBaseManager
    {
        /// <summary>
        /// Guarda la fotografia d'una oferta. Si la oferta ja té una fotografia, l'actualitzarà.
        /// </summary>
        /// <param name="idOferta">Oferta a actualitzar</param>
        /// <param name="foto">Fotografia de la oferta</param>
        void GuardarFotoOferta(int idOferta, byte[] foto);

        /// <summary>
        /// Obté la imatge associada a una oferta en concret
        /// </summary>
        /// <param name="idOferta">Codi de la oferta associada a la imatge</param>
        /// <returns>Array de bytes amb el contingut de la imatge</returns>
        byte[] GetImageFromOferta(int idOferta);
    }
}
