﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Gaudeix.Common.Infrastructure.Manager;
using Gaudeix.Common.Models.Admin;

namespace Gaudeix.Common.Interfaces.Manager
{
    /// <summary>
    /// Interficie de declaracio d'operacions sobre paràmetres per a la capa de negoci
    /// </summary>
    public interface IParametreManager : IBaseManager
    {
        #region Mètodes a implementar
        /// <summary>
        /// Obté el valor d'un paràmetre a partir del seu codi
        /// </summary>
        /// <param name="codiParametre">Codi del paràmetre</param>
        /// <returns>Valor del paràmetre si es troba, o string buit en cas contrari</returns>
        string GetParamValueByCodi(string codiParametre);

        /// <summary>
        /// Recupera tots els paràmetres de la base de dades, ordenats per codi
        /// </summary>
        /// <returns>Paràmetres ordenats per codi</returns>
        IList<ParametreModel> GetAllParametres();

        /// <summary>
        /// Actualitza el valor d'un paràmetre a la BD
        /// </summary>
        /// <param name="idParametre">Clau del paràmetre a actualitzar</param>
        /// <param name="nouValor">Nou valor del paràmetre</param>
        void UpdateParamValue(int idParametre, string nouValor);
        #endregion


    }
}
