﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.ComponentModel.DataAnnotations;
using System.Web.Mvc;
using Gaudeix.Common.Resources;

namespace Gaudeix.Common.Models.Account
{
    public class ChangePasswordModel
    {
        [Required(ErrorMessageResourceName = "CampObligatori", ErrorMessageResourceType = typeof(CommonErrors))]
        [DataType(DataType.Password)]
        [Display(Name = "ContrasenyaActual", ResourceType = typeof(CommonFields))]
        public string OldPassword { get; set; }

        [Required(ErrorMessageResourceName = "CampObligatori", ErrorMessageResourceType = typeof(CommonErrors))]
        [StringLength(30, ErrorMessageResourceName = "NumCaracters", ErrorMessageResourceType = typeof(CommonErrors), MinimumLength = 6)]
        [DataType(DataType.Password)]
        [Display(Name = "NewPassword", ResourceType = typeof(CommonFields))]
        public string NewPassword { get; set; }

        [DataType(DataType.Password)]
        [Display(Name = "ConfirmNewPassword", ResourceType = typeof(CommonFields))]
        [Compare("NewPassword", ErrorMessageResourceName = "ParaulesClauDiferents", ErrorMessageResourceType = typeof(CommonErrors))]
        public string ConfirmPassword { get; set; }

        public bool ChangeOk { get; set; }
    }
}