﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.ComponentModel.DataAnnotations;
using Gaudeix.Common.Resources;

namespace Gaudeix.Common.Models.Account
{
    /// <summary>
    /// Model per a donar suport al procés d'identificació al sistema
    /// </summary>
    public class LogOnModel
    {
        [Required(ErrorMessageResourceName = "CampObligatori", ErrorMessageResourceType = typeof(CommonErrors))]
        [Display(Name = "LoginUsername", ResourceType = typeof(CommonFields))]
        public string UserName { get; set; }

        [Required(ErrorMessageResourceName = "CampObligatori", ErrorMessageResourceType = typeof(CommonErrors))]
        [DataType(DataType.Password)]
        [Display(Name = "LoginPassword", ResourceType = typeof(CommonFields))]
        public string Password { get; set; }

         [Display(Name = "RememberMe", ResourceType = typeof(CommonFields))]
        public bool RememberMe { get; set; }
    }
}