﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.ComponentModel.DataAnnotations;
using Gaudeix.Common.Resources;
using System.Web.Mvc;

namespace Gaudeix.Common.Models.Account
{
    public class RememberPasswordModel
    {
        [Required]
        [Display(Name = "LoginUsername", ResourceType = typeof(CommonFields))]
        public string Username { get; set; }

        [Display(Name = "PreguntaSeguretat", ResourceType = typeof(CommonFields))]
        public string PreguntaSeguretat { get; set; }

        [Required]
        [Display(Name = "RespostaSeguretat", ResourceType = typeof(CommonFields))]
        public string RespostaSeguretat { get; set; }

        [Required(ErrorMessageResourceName = "CampObligatori", ErrorMessageResourceType = typeof(CommonErrors))]
        [StringLength(30, ErrorMessageResourceName = "NumCaracters", ErrorMessageResourceType = typeof(CommonErrors), MinimumLength = 6)]
        [DataType(DataType.Password)]
        [Display(Name = "NewPassword", ResourceType = typeof(CommonFields))]
        public string NouPassword { get; set; }

        [DataType(DataType.Password)]
        [Display(Name = "ConfirmNewPassword", ResourceType = typeof(CommonFields))]
        [Compare("NouPassword", ErrorMessageResourceName = "ParaulesClauDiferents", ErrorMessageResourceType = typeof(CommonErrors))]
        public string NouPasswordConfirm { get; set; }
    }
}