﻿using System;
using System.ComponentModel.DataAnnotations;
using Gaudeix.Common.Resources;
using System.Collections.Generic;

namespace Gaudeix.Common.Models.Browse
{
    public class DetallOfertaModel
    {
        #region Propietats públiques de la classe
        public int IdOferta { get; set; }

        [Display(Name = "Titol", ResourceType = typeof(CommonFields))]
        public string Titol { get; set; }

        [Display(Name = "Poblacio", ResourceType = typeof(CommonFields))]
        public string NomPoblacio { get; set; }

        [Display(Name = "Provincia", ResourceType = typeof(CommonFields))]
        public string NomProvincia { get; set; }

        [Display(Name = "DataInici", ResourceType = typeof(CommonFields))]
        public DateTime DataInici { get; set; }

        [Display(Name = "DataFi", ResourceType = typeof(CommonFields))]
        public DateTime DataFi { get; set; }

        [Display(Name = "Preu", ResourceType = typeof(CommonFields))]
        public decimal PreuVenda { get; set; }

        [Display(Name = "Empresa", ResourceType = typeof(CommonFields))]
        public string NomEmpresa { get; set; }

        [Display(Name = "NotaMitja", ResourceType = typeof(CommonFields))]
        public decimal NotaMitja { get; set; }

        [Display(Name = "NumCompres", ResourceType = typeof(CommonFields))]
        public int NumCompres { get; set; }

        [Display(Name = "DadesResum", ResourceType = typeof(CommonFields))]
        public string DadesResum { get; set; }

        [Display(Name = "Descripcio", ResourceType = typeof(CommonFields))]
        public string Descripcio { get; set; }

        [Display(Name = "DadesAddicionals", ResourceType = typeof(CommonFields))]
        public string DadesAddicionals { get; set; }

        [Display(Name = "DadesLocalitzacio", ResourceType = typeof(CommonFields))]
        public string DadesLocalitzacio { get; set; }

        public IList<ItemLlistaComentaris> Comentaris { get; set; }
        #endregion

        #region Constructors
        public DetallOfertaModel(int idOferta, string titol, string nomPoblacio,
            string nomProvincia, DateTime dataInici, DateTime dataFi, decimal preuVenda,
            string nomEmpresa, decimal notaMitja, int numCompres, string dadesResum,
            string descripcio, string dadesAddicionals, string dadesLocalitzacio)
            : this()
        {
            this.IdOferta = idOferta;
            this.Titol = titol;
            this.NomPoblacio = nomPoblacio;
            this.NomProvincia = nomProvincia;
            this.DataInici = dataInici;
            this.DataFi = dataFi;
            this.PreuVenda = preuVenda;
            this.NomEmpresa = nomEmpresa;
            this.NotaMitja = notaMitja;
            this.NumCompres = numCompres;
            this.DadesResum = dadesResum;
            this.Descripcio = descripcio;
            this.DadesAddicionals = dadesAddicionals;
            this.DadesLocalitzacio = dadesLocalitzacio;
        }

        public DetallOfertaModel()
        {
            this.Comentaris = new List<ItemLlistaComentaris>();
        }
        #endregion
    }
}
