﻿using System;

namespace Gaudeix.Common.Models.Browse
{
    /// <summary>
    /// Model que conté la informació d'un item de la llista de comentaris d'una oferta
    /// </summary>
    public class ItemLlistaComentaris
    {
        #region Propietats públiques de la classe
        public int IdComentari { get; set; }
        public string Nom { get; set; }
        public string Cognom1 { get; set; }
        public string Cognom2 { get; set; }
        public string Comentari { get; set; }
        public DateTime DataInsercio { get; set; }
        public bool UsuariCertificat { get; set; }
        public short Valoracio { get; set; }
        #endregion

        #region Constructors
        public ItemLlistaComentaris(int idComentari, string nom, string cognom1,
            string cognom2, string comentari, DateTime dataInsercio,
            bool usuariCertificat, short valoracio)
            : this()
        {
            this.IdComentari = idComentari;
            this.Nom = nom;
            this.Cognom1 = cognom1;
            this.Cognom2 = cognom2;
            this.Comentari = comentari;
            this.DataInsercio = dataInsercio;
            this.UsuariCertificat = usuariCertificat;
            this.Valoracio = valoracio;
        }

        public ItemLlistaComentaris() { }

        #endregion
    }
}
