﻿using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using Gaudeix.Common.Resources;
using Gaudeix.Common.Models.Common;
using Gaudeix.Common.Models.Oferta;

namespace Gaudeix.Common.Models.Browse
{
    /// <summary>
    /// Model per a dibuixar la vista de cerca d'ofertes
    /// </summary>
    public class SearchModel
    {
        [Display(Name = "ContainsText", ResourceType = typeof(CommonFields))]
        public string TextOferta { get; set; }

        [Display(Name = "Provincia", ResourceType = typeof(CommonFields))]
        public string idProvincia { get; set; }

        [Display(Name = "Poblacio", ResourceType = typeof(CommonFields))]
        public string idPoblacio { get; set; }

        [Display(Name = "Categoria", ResourceType = typeof(CommonFields))]
        public string idCategoria { get; set; }

        [Display(Name = "PreuDesDe", ResourceType = typeof(CommonFields))]
        public string preuDesDe { get; set; }

        [Display(Name = "PreuFinsA", ResourceType = typeof(CommonFields))]
        public string preuFinsA { get; set; }

        [Display(Name = "Ordenacio", ResourceType = typeof(CommonFields))]
        public int? idOrdenacio { get; set; }

        // Paginació: Numero de plana 
        public int NumPlanaPaginacio { get; set; }

        // Paginació: Mostrar botó següent
        public bool ShowSeguent { get; set; }

        // Paginació: Mostrar botó anterior
        public bool ShowAnterior { get; set; }

        #region Llistes per a DropDownLists
        public IList<ItemIdDescripcio> LlistaProvincies { get; set; }

        public IList<ItemIdDescripcio> LlistaPoblacions { get; set; }

        public IList<ItemIdDescripcio> LlistaCategories { get; set; }

        public IList<ItemIdDescripcio> LlistaOrdenacions { get; set; }

        public IList<ItemLlistaOfertes> LlistaResultats { get; set; }
        #endregion

        #region Constructors
        public SearchModel()
        {
            this.LlistaPoblacions = new List<ItemIdDescripcio>();
            this.LlistaProvincies = new List<ItemIdDescripcio>();
            this.LlistaCategories = new List<ItemIdDescripcio>();
            this.LlistaOrdenacions = new List<ItemIdDescripcio>();
            this.LlistaResultats = new List<ItemLlistaOfertes>();
            this.NumPlanaPaginacio = 0;
        }
        #endregion


    }
}