﻿using System.Runtime.Serialization;
using System.Collections.Generic;

namespace Gaudeix.Common.Models.Compra
{
    /// <summary>
    /// Model que conté les dades d'un ítem de la llista de compres d'un usuari
    /// </summary>
    [DataContract]
    public class ItemLlistaCompres
    {

        [DataMember]
        public int IdCompra { get; set; }

        [DataMember]
        public string NomEmpresa { get; set; }

        [DataMember]
        public string Titol { get; set; }

        [DataMember]
        public decimal PreuBase { get; set; }

        [DataMember]
        public decimal PreuVenda { get; set; }

        [DataMember]
        public int NumCompres { get; set; }

        [DataMember]
        public decimal Valoracio { get; set; }

        [DataMember]
        public int IdOferta { get; set; }

        #region Constructors
        public ItemLlistaCompres(int idCompra, int idOferta, string nomEmpresa, string titol,
            decimal preuBase, decimal preuVenda, int numCompres, decimal valoracio)
        {
            this.IdCompra = idCompra;
            this.IdOferta = idOferta;
            this.NomEmpresa = nomEmpresa;
            this.Titol = titol;
            this.PreuBase = preuBase;
            this.PreuVenda = preuVenda;
            this.NumCompres = numCompres;
            this.Valoracio = valoracio;
        }
        #endregion
    }

    public class ItemLlistaCompresComparer : IEqualityComparer<ItemLlistaCompres>
    {
        public bool Equals(ItemLlistaCompres compra1, ItemLlistaCompres compra2)
        {
            return compra1.IdOferta == compra2.IdOferta;
        }

        public int GetHashCode(ItemLlistaCompres compra)
        {
            int hash = compra.IdOferta;
            hash = (hash * 7) + compra.IdOferta.GetHashCode();
            return hash;
        }
    }
}
