﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Runtime.Serialization;
using System.ComponentModel.DataAnnotations;
using Gaudeix.Common.Resources;

namespace Gaudeix.Common.Models.Empresa
{
    [DataContract]
    public class DetallEmpresa
    {
        [DataMember]
        public int Id { get; set; }
        

        [DataMember]
        [Required(ErrorMessageResourceName = "CampObligatori",
            ErrorMessageResourceType = typeof(CommonErrors))]
        public string Nom { get; set; }

        [Required(ErrorMessageResourceName = "CampObligatori",
            ErrorMessageResourceType = typeof(CommonErrors))]
        [DataMember]
        public string Cif { get; set; }

        [DataMember]
        public string Adreca { get; set; }

        [Required(ErrorMessageResourceName = "CampObligatori",
            ErrorMessageResourceType = typeof(CommonErrors))]
        [DataMember]
        public string Email { get; set; }

        [DataMember]
        public string Contactes { get; set; }

        [DataMember]
        public string NomPoblacio { get; set; }

        [Required(ErrorMessageResourceName = "CampObligatori",
            ErrorMessageResourceType = typeof(CommonErrors))]
        [DataMember]
        public int IdPoblacio { get; set; }

        [DataMember]
        public string NomProvincia { get; set; }

        [DataMember]
        public int IdProvincia { get; set; }

        [DataMember]
        public IList<ItemOfertesEmpresa> Ofertes { get; set; }

        #region Constructors
        public DetallEmpresa()
        {
            Ofertes = new List<ItemOfertesEmpresa>();
        }

        public DetallEmpresa(int id, string nom, string cif, string adreca,
            string email, string contactes, int idPoblacio, string nomPoblacio,
            int idProvincia, string nomProvincia)
            : this()
        {
            this.Id = id;
            this.Nom = nom;
            this.Cif = cif;
            this.Adreca = adreca;
            this.Email = email;
            this.Contactes = contactes;
            this.IdPoblacio = idPoblacio;
            this.NomPoblacio = nomPoblacio;
            this.IdProvincia = idProvincia;
            this.NomProvincia = nomProvincia;
        }

        #endregion

    }
}
