﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Runtime.Serialization;

namespace Gaudeix.Common.Models.Empresa
{
    /// <summary>
    /// Classe que conté els paràmtres per a la cerca d'empreses
    /// </summary>
    [DataContract]
    public class ParamsSearchEmpreses
    {
        [DataMember]
        public string Nom { get; set; }

        [DataMember]
        public string Cif { get; set; }

        [DataMember]
        public string Email { get; set; }

        [DataMember]
        public int IdProvincia { get; set; }

        [DataMember]
        public int IdPoblacio { get; set; }

        /// <summary>
        /// Obté el número de paràmetres informats
        /// </summary>
        public int NumParametresInformats
        {
            get
            {
                int numParams = 0;
                if (!String.IsNullOrEmpty(this.Nom)) { numParams++; }
                if (!String.IsNullOrEmpty(this.Cif)) { numParams++; }
                if (!String.IsNullOrEmpty(this.Email)) { numParams++; }
                if (IdProvincia > 0) { numParams++; }
                if (IdPoblacio > 0) { numParams++; }
                return numParams;
            }
        }
    }
}
