﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.ComponentModel.DataAnnotations;
using Gaudeix.Common.Resources;
using System.Runtime.Serialization;

namespace Gaudeix.Common.Models.Oferta
{
    [DataContract]
    public class DetallOfertaWcf
    {
        [DataMember]
        public int IdOferta { get; set; }

        [DataMember]
        [Display(Name = "Titol", ResourceType = typeof(CommonFields))]
        public string Titol { get; set; }

        [DataMember]
        public string DescCategoria { get; set; }

        [DataMember]
        public int IdCategoria { get; set; }

        [DataMember]
        public int IdPoblacio { get; set; }

        [DataMember]
        public int IdProvincia { get; set; }

        [DataMember]
        [Display(Name = "Poblacio", ResourceType = typeof(CommonFields))]
        public string NomPoblacio { get; set; }

        [DataMember]
        [Display(Name = "Provincia", ResourceType = typeof(CommonFields))]
        public string NomProvincia { get; set; }

        [DataMember]
        [Display(Name = "DataInici", ResourceType = typeof(CommonFields))]
        public DateTime DataInici { get; set; }

        [DataMember]
        [Display(Name = "DataFi", ResourceType = typeof(CommonFields))]
        public DateTime DataFi { get; set; }

        [DataMember]
        public decimal PreuBase { get; set; }

        [DataMember]
        [Display(Name = "Preu", ResourceType = typeof(CommonFields))]
        public decimal PreuVenda { get; set; }

        [DataMember]
        public decimal Benefici { get; set; }

        [DataMember]
        [Display(Name = "Empresa", ResourceType = typeof(CommonFields))]
        public string NomEmpresa { get; set; }

        [DataMember]
        public int IdEmpresa { get; set; }

        [DataMember]
        [Display(Name = "NotaMitja", ResourceType = typeof(CommonFields))]
        public decimal NotaMitja { get; set; }

        [DataMember]
        public int NumCompres { get; set; }

        [DataMember]
        public int NumVisites { get; set; }

        [DataMember]
        [Display(Name = "DadesResum", ResourceType = typeof(CommonFields))]
        public string DadesResum { get; set; }

        [DataMember]
        [Display(Name = "Descripcio", ResourceType = typeof(CommonFields))]
        public string Descripcio { get; set; }

        [DataMember]
        [Display(Name = "DadesAddicionals", ResourceType = typeof(CommonFields))]
        public string DadesAddicionals { get; set; }

        [DataMember]
        [Display(Name = "DadesLocalitzacio", ResourceType = typeof(CommonFields))]
        public string DadesLocalitzacio { get; set; }

        [DataMember]
        public byte[] Imatge{get;set;}

        #region Constructors
        public DetallOfertaWcf(int idOferta, string titol, string descCategoria,
            int idCategoria, int idPoblacio, int idProvincia, string nomPoblacio,
            string nomProvincia, DateTime dataInici, DateTime dataFi, decimal preuBase,
            decimal preuVenda, decimal benefici, string nomEmpresa, int idEmpresa,
            decimal notaMitja, int numCompres, int numVisites, string dadesResum,
            string descripcio, string dadesAddicionals, string dadesLocalitzacio)
            : this()
        {
            this.IdOferta = idOferta;
            this.Titol = titol;
            this.DescCategoria = descCategoria;
            this.IdCategoria = idCategoria;
            this.IdPoblacio = idPoblacio;
            this.IdProvincia = idProvincia;
            this.NomPoblacio = nomPoblacio;
            this.NomProvincia = nomProvincia;
            this.DataInici = dataInici;
            this.DataFi = dataFi;
            this.PreuBase = preuBase;
            this.PreuVenda = preuVenda;
            this.Benefici = benefici;
            this.NomEmpresa = nomEmpresa;
            this.IdEmpresa = idEmpresa;
            this.NotaMitja = notaMitja;
            this.NumCompres = numCompres;
            this.NumVisites = numVisites;
            this.DadesResum = dadesResum;
            this.Descripcio = descripcio;
            this.DadesAddicionals = dadesAddicionals;
            this.DadesLocalitzacio = dadesLocalitzacio;
        }

        public DetallOfertaWcf() { }
        #endregion
    }
}