﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Runtime.Serialization;

namespace Gaudeix.Common.Models.Oferta
{
    /// <summary>
    /// Classe que conté els paràmtres per a la cerca d'ofertes
    /// </summary>
    [DataContract]
    public class ParamsSearchOfertes
    {
        [DataMember]
        public int IdEmpresa { get; set; }

        [DataMember]
        public string Titol { get; set; }

        [DataMember]
        public decimal PreuBaseInit { get; set; }

        [DataMember]
        public decimal PreuBaseFi { get; set; }

        [DataMember]
        public decimal PreuVendaInit { get; set; }

        [DataMember]
        public decimal PreuVendaFi { get; set; }

        [DataMember]
        public DateTime DataIniciDesDe { get; set; }

        [DataMember]
        public DateTime DataIniciFins { get; set; }

        [DataMember]
        public DateTime DataFiDesDe { get; set; }

        [DataMember]
        public DateTime DataFiFins { get; set; }

        [DataMember]
        public int idProvincia { get; set; }

        [DataMember]
        public int idPoblacio { get; set; }

        [DataMember]
        public int[] idCategories { get; set; }

        [DataMember]
        public int IdOrdenacio { get; set; }

        /// <summary>
        /// Obté el número de paràmetres informats
        /// </summary>
        public int NumParametresInformats
        {
            get
            {
                int numParams = 0;
                if (IdEmpresa > 0) { numParams++; }
                if (!String.IsNullOrEmpty(Titol)) { numParams++; }
                if (PreuBaseInit > 0) { numParams++; }
                if (PreuBaseFi > 0) { numParams++; }
                if (PreuVendaInit > 0) { numParams++; }
                if (PreuVendaFi > 0) { numParams++; }
                if (DataIniciDesDe > new DateTime(0)) { numParams++; }
                if (DataIniciFins > new DateTime(0)) { numParams++; }
                if (DataFiDesDe > new DateTime(0)) { numParams++; }
                if (DataFiFins > new DateTime(0)) { numParams++; }
                if (idProvincia > 0) { numParams++; }
                if (idPoblacio > 0) { numParams++; }
                if ((idCategories != null) && (idCategories.Length > 0)) { numParams++; }
                return numParams;
            }
        }
    }
}
