﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Runtime.Serialization;
using Gaudeix.Common.Models.Common;
using Gaudeix.Common.Models.Profile;

namespace Gaudeix.Common.Models.Users
{
    [DataContract]
    public class DetallUsuari
    {
        [DataMember]
        public int IdUsuari { get; set; }

        [DataMember]
        public string Nom { get; set; }

        [DataMember]
        public string Cognom1 { get; set; }

        [DataMember]
        public string Cognom2 { get; set; }

        [DataMember]
        public string Nif { get; set; }

        [DataMember]
        public string Email { get; set; }

        [DataMember]
        public string Adreca { get; set; }

        [DataMember]
        public string NomProvincia { get; set; }

        [DataMember]
        public string NomPoblacio { get; set; }

        [DataMember]
        public string CodiPostal { get; set; }

        [DataMember]
        public int IdProvincia { get; set; }

        [DataMember]
        public int IdPoblacio { get; set; }

        [DataMember]
        public DateTime DataNaixement { get; set; }

        [DataMember]
        public string LoginUsuari { get; set; }

        [DataMember]
        public string LoginPassword { get; set; }

        [DataMember]
        public string LoginPasswordConfirm { get; set; }

        [DataMember]
        public string PreguntaClau { get; set; }

        [DataMember]
        public string RespostaClau { get; set; }

        [DataMember]
        public IList<ItemCompresUsuari> LlistaCompres { get; set; }

        [DataMember]
        public bool MailOfertes { get; set; }

        [DataMember]
        //public int[] InteressosIds { get; set; }

        //[DataMember]
        //public string[] InteressosNoms { get; set; }

        //[DataMember]
        public IList<ItemLlistaCategories> LlistaCategories { get; set; }

        public DetallUsuari()
        {
            this.LlistaCategories = new List<ItemLlistaCategories>();
            this.LlistaCompres = new List<ItemCompresUsuari>();
        }

        public DetallUsuari(int idUsuari, string nom, string cognom1, string cognom2, string nif,
         string email, string adreca, string nomProvincia, string nomPoblacio, int idProvincia,
         int idPoblacio, DateTime dataNaixement, string loginUsuari, string loginPassword,
         string preguntaClau, string respostaClau, bool mailOfertes, string codiPostal)
            : this()
        {
            this.IdUsuari = idUsuari;
            this.Nom = nom;
            this.Cognom1 = cognom1;
            this.Cognom2 = cognom2;
            this.Nif = nif;
            this.Email = email;
            this.Adreca = adreca;
            this.CodiPostal = codiPostal;
            this.NomProvincia = nomProvincia;
            this.NomPoblacio = nomPoblacio;
            this.IdProvincia = idProvincia;
            this.IdPoblacio = idPoblacio;
            this.DataNaixement = dataNaixement;
            this.LoginUsuari = loginUsuari;
            this.LoginPassword = loginPassword;
            this.PreguntaClau = preguntaClau;
            this.RespostaClau = respostaClau;
            this.MailOfertes = mailOfertes;
        }


    }
}
