﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Runtime.Serialization;

namespace Gaudeix.Common.Models.Users
{
    /// <summary>
    /// Classe que conté els paràmtres per a la cerca d'usuaris
    /// </summary>
    [DataContract]
    public class ParamsSearchUsuaris
    {
        [DataMember]
        public string Nom { get; set; }

        [DataMember]
        public string Cognom1 { get; set; }

        [DataMember]
        public string Cognom2 { get; set; }

        [DataMember]
        public string Nif { get; set; }

        [DataMember]
        public string Email { get; set; }

        [DataMember]
        public int IdPoblacio { get; set; }

        [DataMember]
        public int IdProvincia { get; set; }

        [DataMember]
        public int[] Interessos { get; set; }

        /// <summary>
        /// Obté el número de paràmtres informats
        /// </summary>
        public int NumParametresInformats
        {
            get
            {
                int numParams = 0;
                if (!String.IsNullOrEmpty(Nom)) { numParams++; }
                if (!String.IsNullOrEmpty(Cognom1)) { numParams++; }
                if (!String.IsNullOrEmpty(Cognom2)) { numParams++; }
                if (!String.IsNullOrEmpty(Nif)) { numParams++; }
                if (!String.IsNullOrEmpty(Email)) { numParams++; }
                if (IdProvincia > 0) { numParams++; }
                if (IdPoblacio > 0) { numParams++; }
                if ((Interessos != null) && (Interessos.Length > 0)) { numParams++; }
                return numParams;
            }
        }


    }
}
