﻿using System;

namespace Gaudeix.Common.Utils
{
    /// <summary>
    /// Mètodes d'utilitat per a les consultes HQL de NHibernate
    /// </summary>
    public static class QueryUtils
    {
        /// <summary>
        /// Formateja una cadena de text per a fer-la servir al mig d'una clàusula LIKE
        /// </summary>
        /// <param name="param">Cadena a formatejar</param>
        /// <returns>'%' si la cadena és buida, o '%param%' si està informada</returns>
        public static string FormatLikeMiddleParam(String param)
        {
            if (String.IsNullOrEmpty(param))
            {
                return "%";
            }
            else
            {
                return "%" + param + "%";
            }
        }

        /// <summary>
        /// Obté la data mínima suportada a les consultes HQL (01/01/1753)
        /// </summary>
        /// <returns>Data mínima per a les consultes</returns>
        public static DateTime GetMinDataIniciFiltre()
        {
            return new DateTime(1753, 1, 1);
        }
        /// <summary>
        /// Obté la data màxima suportada a les consultes HQL (31/12/9999 23:59:59)
        /// </summary>
        /// <returns>Data màxima per a les consultes</returns>
        public static DateTime GetMaxDataFiFiltre()
        {
            return new DateTime(9999, 12, 31, 23, 59, 59);
        }
    }
}
