﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Gaudeix.Data.Infrastructure.Dao;
using Gaudeix.Common.Interfaces.Dao;
using Gaudeix.Common.Domain.Entities;
using Gaudeix.Common.Models.Common;
using NHibernate;
using Gaudeix.Common.Resources;
using Gaudeix.Common.Exceptions;

namespace Gaudeix.Data.Dao
{
    public class CategoriaDao : BaseDao<Categoria, int>, ICategoriaDao
    {
        #region ICategoriaDao Members

        public IList<ItemIdDescripcio> GetCategories()
        {
            try
            {
                IQuery query = Session.GetNamedQuery("GetCategories");
                return query.List<ItemIdDescripcio>();
            }
            catch (Exception ex)
            {
                logger.Error("CategoriaDao.GetCategories", ex);
                throw new GaudeixDaoException(CommonErrors.ErrorBD, ex);
            }
        }

        #endregion
    }
}
