﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Gaudeix.Common.Interfaces.Dao;
using Gaudeix.Common.Domain.Entities;
using Gaudeix.Data.Infrastructure.Dao;
using NHibernate;
using Gaudeix.Common.Models.Common;
using Gaudeix.Common.Exceptions;
using Gaudeix.Common.Resources;

namespace Gaudeix.Data.Dao
{
    public class CategoriaUsuariDao : BaseDao<CategoriaUsuari, int>, ICategoriaUsuariDao
    {
        #region ICategoriaUsuariDao Members

        public IList<ItemIdDescripcio> GetCategoriesUsuari(int idUsuari)
        {
            try
            {
                IQuery query = Session.GetNamedQuery("GetCategoriesUsuari");
                query.SetInt32("idUsuari", idUsuari);
                return query.List<ItemIdDescripcio>();
            }
            catch (Exception ex)
            {
                logger.Error("CategoriaUsuariDao.GetCategoriesUsuari", ex);
                throw new GaudeixDaoException(CommonErrors.ErrorBD, ex);
            }
        }

        #endregion
    }
}
