﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Gaudeix.Data.Infrastructure.Dao;
using Gaudeix.Common.Domain.Entities;
using Gaudeix.Common.Interfaces.Dao;
using Gaudeix.Common.Exceptions;
using Gaudeix.Common.Resources;
using NHibernate;

namespace Gaudeix.Data.Dao
{
    public class CuaCorreuDao : BaseDao<CuaCorreu, int>, ICuaCorreuDao
    {
        #region ICuaCorreuDao Members

        public IList<CuaCorreu> GetCorreusPendents()
        {
            try
            {
                IQuery query = Session.GetNamedQuery("GetPendingMails");
                return query.List<CuaCorreu>();
            }
            catch (Exception ex)
            {
                logger.Error("CuaCorreuDao.GetCorreusPendents", ex);
                throw new GaudeixDaoException(CommonErrors.ErrorBD, ex);
            }
        }

        #endregion
    }
}
