﻿using Gaudeix.Common.Domain.Entities;
using Gaudeix.Data.Infrastructure.Dao;
using Gaudeix.Common.Interfaces.Dao;
using System;
using Gaudeix.Common.Exceptions;
using Gaudeix.Common.Resources;
using NHibernate;

namespace Gaudeix.Data.Dao
{
    public class FotoOfertaDao : BaseDao<FotoOferta, int>, IFotoOfertaDao
    {
        #region IFotoOfertaDao Members

        public FotoOferta GetByIdOferta(int idOferta)
        {
            try
            {
                IQuery query = Session.GetNamedQuery("GetFotoOfertaByIdOferta");
                query.SetInt32("idOferta", idOferta);
                return query.UniqueResult<FotoOferta>();
            }
            catch (Exception ex)
            {
                logger.Error("EmpresaDao.ConsultarEntitats", ex);
                throw new GaudeixDaoException(CommonErrors.ErrorBD, ex);
            }
        }

        #endregion
    }
}
