﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Gaudeix.Common.Interfaces.Dao;
using Gaudeix.Common.Domain.Entities;
using Gaudeix.Data.Infrastructure.Dao;
using Gaudeix.Common.Exceptions;
using Gaudeix.Common.Resources;
using NHibernate;
using Gaudeix.Common.Models.Admin;

namespace Gaudeix.Data.Dao
{
    public class ParametreDao : BaseDao<Parametre, int>, IParametreDao
    {
        #region IParametreDao Members

        public string GetParamValueByCodi(string codiParametre)
        {
            try
            {
                IQuery query = Session.GetNamedQuery("GetParametreByCodi");
                query.SetString("codiParametre", codiParametre);
                Parametre param = query.UniqueResult<Parametre>();
                if (param == null)
                {
                    return String.Empty;
                }
                else
                {
                    return param.Valor;
                }
            }
            catch (Exception ex)
            {
                logger.Error("ParametreDao.GetParamValueByCodi", ex);
                throw new GaudeixDaoException(CommonErrors.ErrorBD, ex);
            }
        }

        public IList<ParametreModel> GetAllParametres()
        {
            try
            {
                IQuery query = Session.GetNamedQuery("GetAllParametres");
                return query.List<ParametreModel>();
            }
            catch (Exception ex)
            {
                logger.Error("ParametreDao.GetParamValueByCodi", ex);
                throw new GaudeixDaoException(CommonErrors.ErrorBD, ex);
            }
        }

        #endregion
    }
}
