﻿using System;
using System.Collections.Generic;
using Gaudeix.Common.Domain.Entities;
using Gaudeix.Common.Exceptions;
using Gaudeix.Common.Interfaces.Dao;
using Gaudeix.Common.Models.Common;
using Gaudeix.Common.Resources;
using Gaudeix.Data.Infrastructure.Dao;
using NHibernate;

namespace Gaudeix.Data.Dao
{
    public class PoblacioDao : BaseDao<Poblacio, int>, IPoblacioDao
    {
        #region IPoblacioDao Members

        public IList<ItemIdDescripcio> GetPoblacionsByIdProvincia(int idProvincia)
        {
            try
            {
                IQuery query = Session.GetNamedQuery("GetPoblacionsByIdProvincia");
                query.SetInt32("idProvincia", idProvincia);
                return query.List<ItemIdDescripcio>();
            }
            catch (Exception ex)
            {
                logger.Error("PoblacioDao.GetPoblacionsByIdProvincia", ex);
                throw new GaudeixDaoException(CommonErrors.ErrorBD, ex);
            }
        }

        #endregion
    }
}
