﻿using System;
using System.Collections.Generic;
using Gaudeix.Common.Domain.Entities;
using Gaudeix.Common.Exceptions;
using Gaudeix.Common.Interfaces.Dao;
using Gaudeix.Common.Models.Common;
using Gaudeix.Common.Resources;
using Gaudeix.Data.Infrastructure.Dao;
using NHibernate;

namespace Gaudeix.Data.Dao
{
    public class ProvinciaDao : BaseDao<Provincia, int>, IProvinciaDao
    {

        #region IProvinciaDao Members

        public IList<ItemIdDescripcio> GetProvincies()
        {
            try
            {
                IQuery query = Session.GetNamedQuery("GetProvincies");
                return query.List<ItemIdDescripcio>();
            }
            catch (Exception ex)
            {
                logger.Error("ProvinciaDao.GetProvincies", ex);
                throw new GaudeixDaoException(CommonErrors.ErrorBD, ex);
            }
        }

        #endregion
    }
}
