﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ServiceModel.Dispatcher;
using Gaudeix.Data.Infrastructure.Factory;
using System.Diagnostics;

namespace Gaudeix.Data.Infrastructure.HttpModules
{
    /// <summary>
    /// Gestor de transaccions de WCF
    /// </summary>
    public sealed class NHibernateWCFSessionModule : ICallContextInitializer  
    {

        #region ICallContextInitializer Members
        /// <summary>
        /// S'executa després de la invocació del servei. Ens serveix per fer commit de la transacció
        /// </summary>
        /// <param name="correlationState"></param>
        public void AfterInvoke(object correlationState)
        {
            Debug.Print("NHibernateMVCSessionModule.AfterInvoke - CommitTrans,SessionId={0}", NHSessionFactory.GetCurrentSession().GetSessionImplementation().SessionId);
            NHSessionFactory.CommitTransaction();
            NHSessionFactory.DisposeSession();
        }

        /// <summary>
        /// S'executa abans de la invocació del servei. Ens serveix per obrir la transacció
        /// </summary>
        /// <param name="instanceContext"></param>
        /// <param name="channel"></param>
        /// <param name="message"></param>
        /// <returns></returns>
        public object BeforeInvoke(System.ServiceModel.InstanceContext instanceContext, System.ServiceModel.IClientChannel channel, System.ServiceModel.Channels.Message message)
        {
            Debug.Print("NHibernateMVCSessionModule.BeforeInvoke - BeginTrans,SessionId={0}", NHSessionFactory.GetCurrentSession().GetSessionImplementation().SessionId);
            NHSessionFactory.BeginTransaction();
            return null;
        }

        #endregion
    }
}
