﻿using Castle.MicroKernel.Registration;
using Gaudeix.Common.Infrastructure.Dao;

namespace Gaudeix.Data.Infrastructure.Installers
{
    /// <summary>
    /// Classe encarregada de registrar els objectes de negoci en un contenidor de Castle.Windsor
    /// </summary>
    public class DaoInstaller : IWindsorInstaller
    {
        /// <summary>
        /// Realitza la instal·lació dels DAO's en un contenidor de tipus IWindsorContainer
        /// </summary>
        /// <param name="container">Contenidor on s'instalaran els DAO's</param>
        /// <param name="store">Dades externes de configuració dels components i facilities</param>
        public void Install(Castle.Windsor.IWindsorContainer container, Castle.MicroKernel.SubSystems.Configuration.IConfigurationStore store)
        {
            // Cada vegada que es demani un component obtindrem una nova instancia (pel paràmetre LifestyleTransient)
            container.Register(Classes.FromThisAssembly()
                .BasedOn<IDao>()
                .WithServiceDefaultInterfaces()
                .LifestyleTransient());
        }
    }
}
