﻿using Castle.MicroKernel.Registration;
using Castle.MicroKernel.SubSystems.Configuration;
using Castle.Windsor;
using Gaudeix.Common.Infrastructure.Manager;

namespace Gaudeix.Manager.Infrastructure.Installers
{
    /// <summary>
    /// Classe encarregada de registrar els objectes de negoci en un contenidor de Castle.Windsor/// 
    /// </summary>
    public class ManagerInstaller : IWindsorInstaller

    /// <summary>
    /// Realitza la instal·lació dels Managers en un contenidor de tipus IWindsorContainer
    /// </summary>
    /// <param name="container">Contenidor on s'instalaran els Manager</param>
    /// <param name="store">Dades externes de configuració dels components i facilities</param>
    {
        public void Install(IWindsorContainer container, IConfigurationStore store)
        {
            container.Register(Classes.FromThisAssembly()
                .BasedOn<IBaseManager>()
                .WithServiceDefaultInterfaces()
                .LifestyleTransient());

        }
    }

}
