﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Gaudeix.Common.Interfaces.Manager;
using Gaudeix.Manager.Infrastructure.Base;
using Gaudeix.Common.Interfaces.Dao;
using Gaudeix.Common.Domain.Entities;
using Gaudeix.Common.Exceptions;

namespace Gaudeix.Business.Manager
{
    public class FotoOfertaManager : BaseManager, IFotoOfertaManager
    {
        #region IFotoOfertaManager Members

        public void GuardarFotoOferta(int idOferta, byte[] foto)
        {
            try
            {
                IFotoOfertaDao dao = this.GetDao<IFotoOfertaDao>();
                FotoOferta fotoOferta = dao.GetByIdOferta(idOferta);
                if (null == fotoOferta)
                {
                    fotoOferta = new FotoOferta();
                }
                if (fotoOferta.Oferta == null)
                {
                    fotoOferta.Oferta = new Oferta(idOferta);
                }
                fotoOferta.Foto = foto;
                dao.SaveOrUpdate(fotoOferta);
            }
            catch (GaudeixDaoException ex)
            {
                logger.Error("EmpresaManager.GetAllEmailsFromEmpreses", ex);
                throw new GaudeixBusinessException(ex);
            }
        }

        public byte[] GetImageFromOferta(int idOferta)
        {
            byte[] imageData = new byte[] { };
            try
            {
                IFotoOfertaDao dao = this.GetDao<IFotoOfertaDao>();
                FotoOferta foto = dao.GetByIdOferta(idOferta);
                if ((foto != null) && (foto.Foto != null))
                {
                    imageData = foto.Foto;
                }
                return imageData;
            }
            catch (GaudeixDaoException ex)
            {
                logger.Error("EmpresaManager.GetImageFromOferta", ex);
                throw new GaudeixBusinessException(ex);
            }
        }

        #endregion
    }
}
