﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.Text;
using Gaudeix.Common.Models.Compra;

namespace Gaudeix.WCF.Contracts
{
    /// <summary>
    /// Contracte per operacions sobre les compres efectuades al portal
    /// </summary>
    [ServiceContract]
    public interface ICompres
    {
        /// <summary>
        /// Retorna un llistat de les compres efectuades al portal que compleixen 
        /// els paràmetres de cerca.
        /// </summary>
        /// <returns>Llista de compres que compleixen amb els paràmetres de cerca</returns>
        [OperationContract]
        IList<ItemLlistaCompres> ConsultarCompres(ParamsSearchCompres parametres);

    }
}
