﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.Text;
using Gaudeix.Common.Models.Common;

namespace Gaudeix.WCF.Contracts
{
    /// <summary>
    /// Contracte per extreure estadístiques del portal
    /// </summary>
    [ServiceContract]
    public interface IEstadistiques
    {
        /// <summary>
        /// Obté un llistat de data-valor de les vendes dels darrers set dies
        /// </summary>
        /// <returns>Llistat de vendes dels darrers set dies</returns>
        [OperationContract]
        IList<ItemDataValor> GetEstadisticaVendes();

        /// <summary>
        /// Obté un llistat de data-valor dels beneficis dels darrers set dies
        /// </summary>
        /// <returns>Llistat de beneficis dels darrers set dies</returns>
        [OperationContract]
        IList<ItemDataValor> GetEstadisticaBeneficis();

        /// <summary>
        /// Obté un llistat de data-valor dels registres d'usuari dels darrers set dies
        /// </summary>
        /// <returns>Llistat de registres d'usuari dels darrers set dies</returns>
        [OperationContract]
        IList<ItemDataValor> GetEstadisticaRegistres();

        /// <summary>
        /// Obté un llistat de data-valor de les publicacions d'ofertes dels darrers set dies
        /// </summary>
        /// <returns>Llistat d'ofertes publicades dels darrers set dies</returns>
        [OperationContract]
        IList<ItemDataValor> GetEstadisticaPublicacions();
    }
}
