﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.ServiceModel.Description;
using System.ServiceModel.Dispatcher;
using Gaudeix.Data.Infrastructure.HttpModules;
using System.ServiceModel.Configuration;
using System.Diagnostics;

namespace Gaudeix.WCF.Infrastructure.Behavior
{
    /// <summary>
    /// Implementa els mètodes que es poden utilitzar per ampliar 
    /// el comportament en temps d'execució per un extrem en un servei o aplicació client.
    /// </summary>
    public class NHibernateWcfBehavior : IEndpointBehavior
    {
        #region IEndpointBehavior Members
        public void AddBindingParameters(ServiceEndpoint endpoint, System.ServiceModel.Channels.BindingParameterCollection bindingParameters)
        {
            // No es fa servir
        }

        public void ApplyClientBehavior(ServiceEndpoint endpoint, ClientRuntime clientRuntime)
        {
            // No es fa servir
        }

        public void ApplyDispatchBehavior(ServiceEndpoint endpoint, EndpointDispatcher endpointDispatcher)
        {
            // Afegim una instància del mòdul de control de sessions de WCF per a cadascun dels controladors d'operacions
            foreach (DispatchOperation operation in endpointDispatcher.DispatchRuntime.Operations)
            {
                operation.CallContextInitializers.Add(new NHibernateWCFSessionModule());
            }
        }

        public void Validate(ServiceEndpoint endpoint)
        {
            // No es fa servir
        }

        #endregion
    }
}