﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using Gaudeix.Manager.Infrastructure.Factory;

namespace Gaudeix.WCF.Infrastructure.Service
{
    /// <summary>
    /// Superclasse per a tots els serveis de WCF
    /// </summary>
    public class BaseService
    {
        #region Constants de la classe
        /// <summary>
        /// 
        /// FAULT_CODE per defecte
        /// </summary>
        public const string FAULT_CODE_SERVER = "Server";
        #endregion

        #region Mètodes protegits per als serveis
        /// <summary>
        /// Obté una instància inicialitzada d'un manager a través de la seva interficie
        /// </summary>
        /// <typeparam name="T">Interficie del manager</typeparam>
        /// <returns>Instancia inicialitzada del manager</returns>
        protected T GetManager<T>()
        {
            return ManagerFactory.GetManager<T>();
        }
        #endregion
    }
}