﻿using System.Collections.Generic;
using System.ServiceModel;
using Gaudeix.Common.Exceptions;
using Gaudeix.Common.Interfaces.Manager;
using Gaudeix.Common.Models.Compra;
using Gaudeix.WCF.Contracts;
using Gaudeix.WCF.Infrastructure.Service;

namespace Gaudeix.WCF.Services
{
    /// <summary>
    /// Implementació del servei Compres
    /// </summary>
    public class Compres : BaseService, ICompres
    {

        #region ICompres Members

        public IList<ItemLlistaCompres> ConsultarCompres(ParamsSearchCompres parametres)
        {
            try
            {
                return this.GetManager<ICompraUsuariManager>().ConsultarCompres(parametres);
            }
            catch (GaudeixBusinessException e)
            {
                throw new FaultException(
                    new FaultReason(e.Message),
                    new FaultCode(BaseService.FAULT_CODE_SERVER));
            }
        }

        #endregion
    }
}
