﻿using System.Collections.Generic;
using System.ServiceModel;
using Gaudeix.Common.Exceptions;
using Gaudeix.Common.Interfaces.Manager;
using Gaudeix.Common.Models.Common;
using Gaudeix.WCF.Contracts;
using Gaudeix.WCF.Infrastructure.Service;
namespace Gaudeix.WCF.Services
{
    /// <summary>
    /// Implementació del servei d'estadístiques
    /// </summary>
    public class Estadistiques :BaseService, IEstadistiques
    {

        #region IEstadistiques Members

        public IList<ItemDataValor> GetEstadisticaVendes()
        {
            try
            {
                return this.GetManager<IEstadistiquesManager>().GetEstadisticaVendes();
            }
            catch (GaudeixBusinessException e)
            {
                throw new FaultException(
                    new FaultReason(e.Message),
                    new FaultCode(BaseService.FAULT_CODE_SERVER));
            }
        }

        public IList<ItemDataValor> GetEstadisticaBeneficis()
        {
            try
            {
                return this.GetManager<IEstadistiquesManager>().GetEstadisticaBeneficis();
            }
            catch (GaudeixBusinessException e)
            {
                throw new FaultException(
                    new FaultReason(e.Message),
                    new FaultCode(BaseService.FAULT_CODE_SERVER));
            }
        }

        public IList<ItemDataValor> GetEstadisticaRegistres()
        {
            try
            {
                return this.GetManager<IEstadistiquesManager>().GetEstadisticaRegistres();
            }
            catch (GaudeixBusinessException e)
            {
                throw new FaultException(
                    new FaultReason(e.Message),
                    new FaultCode(BaseService.FAULT_CODE_SERVER));
            }
        }

        public IList<ItemDataValor> GetEstadisticaPublicacions()
        {
            try
            {
                return this.GetManager<IEstadistiquesManager>().GetEstadisticaPublicacions();
            }
            catch (GaudeixBusinessException e)
            {
                throw new FaultException(
                    new FaultReason(e.Message),
                    new FaultCode(BaseService.FAULT_CODE_SERVER));
            }
        }

        #endregion
    }
}
