﻿using System;
using System.Collections.Generic;
using System.ServiceModel;
using Gaudeix.Common.Exceptions;
using Gaudeix.Common.Interfaces.Manager;
using Gaudeix.Common.Models.Oferta;
using Gaudeix.WCF.Contracts;
using Gaudeix.WCF.Infrastructure.Service;
using System.Drawing;

namespace Gaudeix.WCF.Services
{
    /// <summary>
    /// Implementació del servei Ofertes
    /// </summary>
    public class Ofertes : BaseService, IOfertes
    {

        #region IOfertes Members

        public int GuardarOfertaFromWCF(DetallOfertaWcf oferta)
        {
            try
            {
                return this.GetManager<IOfertaManager>().GuardarOfertaFromWCF(oferta);
            }
            catch (GaudeixBusinessException e)
            {
                throw new FaultException(
                    new FaultReason(e.Message),
                    new FaultCode(BaseService.FAULT_CODE_SERVER));
            }
        }

        public IList<ItemLlistaOfertes> ConsultarOfertes(ParamsSearchOfertes parametres)
        {
            try
            {
                return this.GetManager<IOfertaManager>().ConsultarOfertes(parametres);
            }
            catch (GaudeixBusinessException e)
            {
                throw new FaultException(
                    new FaultReason(e.Message),
                    new FaultCode(BaseService.FAULT_CODE_SERVER));
            }
        }

        public DetallOfertaWcf GetDetallOfertaForWCF(int idOferta, bool recuperarImatge)
        {
            try
            {
                return this.GetManager<IOfertaManager>().GetDetallOfertaForWCF(idOferta, recuperarImatge);
            }
            catch (GaudeixBusinessException e)
            {
                throw new FaultException(
                    new FaultReason(e.Message),
                    new FaultCode(BaseService.FAULT_CODE_SERVER));
            }
        }

        public void EsborrarOfertes(int[] idOfertes)
        {
            throw new NotImplementedException();
        }

        #endregion
    }
}
