﻿using System.Web.Mvc;
using Gaudeix.Common.Constants;
using Gaudeix.Common.Interfaces.Manager;
using Gaudeix.Common.Models.Home;
using Gaudeix.Manager.Infrastructure.Factory;
using Gaudeix.Web.Constants;
using Gaudeix.Web.Infrastructure.Controllers;
using Gaudeix.Common.Exceptions;

namespace Gaudeix.Web.Controllers
{
    /// <summary>
    /// Controlador d'operacions sobre la plana per defecte
    /// </summary>
    public class HomeController : BaseController
    {
        public ActionResult Index()
        {
            Logger.Info("GET: /Home/Index - Redireccio a " + AppConstants.DEFAULT_CONTROLLER + "/" + AppConstants.DEFAULT_ACTION);
            return RedirectToAction(AppConstants.DEFAULT_ACTION, AppConstants.DEFAULT_CONTROLLER);
        }

        public ActionResult About()
        {
            Logger.Info("INICI - GET: /Home/About");
            AboutModel model = new AboutModel();
            try{
            IParametreManager manager = this.GetManager<IParametreManager>();
            model.TextAboutUs = manager.GetParamValueByCodi(CommonConstants.PARAM_TEXT_ABOUT_US);
            }
            catch (GaudeixBusinessException ex)
            {
                ModelState.AddModelError("", ex.Message);
            }
            Logger.Info("FI - GET: /Home/About");
            return View(model);
        }
    }
}
