﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Configuration;

namespace Gaudeix.Web.Infrastructure.Config
{
    /// <summary>
    /// Secció de configuració al fitxer web.config per als temporitzadors
    /// </summary>
    public class TimerConfigSection : ConfigurationSection
    {
        /// <summary>
        /// Element de configuració del temporitzador de la cua de correu
        /// </summary>
        [ConfigurationProperty("cuaCorreu",IsRequired=true)]
        public TimerCuaCorreuElement CuaCorreu
        {
            get
            {
                return (TimerCuaCorreuElement)this["cuaCorreu"];
            }
            set
            { this["cuaCorreu"] = value; }
        }

        /// <summary>
        /// Element de configuració del temporitzador del correu d'ofertes
        /// </summary>
        [ConfigurationProperty("correuOfertes", IsRequired = true)]
        public TimerCorreuOfertesElement CorreuOfertes
        {
            get
            {
                return (TimerCorreuOfertesElement)this["correuOfertes"];
            }
            set
            { this["correuOfertes"] = value; }
        }






    }
}