﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Configuration;

namespace Gaudeix.Web.Infrastructure.Config
{
    /// <summary>
    /// Secció de configuració del temporitzador de la cua de correu
    /// </summary>
    public class TimerCorreuOfertesElement : ConfigurationElement
    {
        [ConfigurationProperty("hora", DefaultValue = "23", IsRequired = true)]
        [IntegerValidator(ExcludeRange = false, MaxValue = 23, MinValue = 0)]
        public int Hora
        {
            get
            { return (int)this["hora"]; }
            set
            { this["hora"] = value; }
        }


        [ConfigurationProperty("minut", DefaultValue = "5", IsRequired = true)]
        [IntegerValidator(ExcludeRange = false, MaxValue = 59, MinValue = 0)]
        public int Minut
        {
            get
            { return (int)this["minut"]; }
            set
            { this["minut"] = value; }
        }
    }
}