﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Configuration;

namespace Gaudeix.Web.Infrastructure.Config
{
    /// <summary>
    /// Secció de configuració del temporitzador de la cua de correu
    /// </summary>
    public class TimerCuaCorreuElement : ConfigurationElement
    {

        [ConfigurationProperty("retrasInici", DefaultValue = "5", IsRequired = true)]
        [IntegerValidator(ExcludeRange = false, MaxValue = Int32.MaxValue, MinValue = 1)]
        public int RetrasInici
        {
            get
            { return (int)this["retrasInici"]; }
            set
            { this["retrasInici"] = value; }
        }


              [ConfigurationProperty("interval", DefaultValue = "5", IsRequired = true)]
        [IntegerValidator(ExcludeRange = false, MaxValue = Int32.MaxValue, MinValue = 1)]
        public int Interval
        {
            get
            { return (int)this["interval"]; }
            set
            { this["interval"] = value; }
        }
    }
}