﻿using System.Web.Mvc;
using Castle.MicroKernel.Registration;
using Castle.MicroKernel.SubSystems.Configuration;
using Castle.Windsor;

namespace Gaudeix.Web.Infrastructure.Installers
{
    /// <summary>
    /// Classe encarregada de registrar els controladors en un contenidor de Castle.Windsor
    /// </summary>
    public class ControllersInstaller : IWindsorInstaller
    {

        /// <summary>
        /// Realitza la instal·lació dels Controllers en un contenidor de tipus IWindsorContainer
        /// </summary>
        /// <param name="container">Contenidor on s'instalaran els Controllers</param>
        /// <param name="store">Dades externes de configuració dels components i facilities</param>
        public void Install(IWindsorContainer container, IConfigurationStore store)
        {
            // Every time we request a transient component we get a new instance
            container.Register(Classes.FromThisAssembly()
                                .BasedOn<IController>()
                                .LifestyleTransient());
        }


    }
}