﻿

/*
 * Obté les poblacions corresponents al id de provincia passat, i les carrega a la llista indicada.
 * @param idProvincia Codi de la provincia a cercar.
 * @param nomControl Nom del control DropDown on es carregaran les poblacions.
 * @param mantenirPrimer Indica si s'ha de mantenir el primer element de la llista (per a llistes on el primer element conté un missatge indicant que s'ha de seleccionar un element).
 */
function OmplirPoblacionsByIdProvincia(idProvincia, nomControl, mantenirPrimer) {
    // Preparem la URL d'accés a la funció que ens retorna la llista de poblacions
    //var urlAction = '@Url.Action("PoblacionsByIdProvincia","Ajax")/' + idProvincia;
    var urlAction = GaudeixBaseUrl + '/Ajax/PoblacionsByIdProvincia/' + idProvincia;
    // Efectuem la crida Ajax, i processem la resposta
    $.ajax({
        type: "GET",
        url: urlAction,
        contentType: "application/json; charset=utf-8",
        success: function (data) {
            if (mantenirPrimer){
                // Esborrar tots els items excepte el primer
                $('#' + nomControl + ' option:not(:first)').remove();            
            } else {
                // Esborrem tots els elements de la llista
                $('#' + nomControl + ' option').remove();
            }
            // Carreguem les poblacions trobades per la funció
            $.each(data, function() {  
                $("#" + nomControl).append("<option value='" + this['Id'] + "'>" + this['Descripcio'] + "</option>");
            });
        },
        error: function (result) {
            alert(GaudeixErrorGlobal);
        }
    });
}