USE [master]

DECLARE @DataPath nvarchar(500);
DECLARE @LogPath nvarchar(500)

set @DataPath = 'C:\drodriguezt';
set @LogPath = 'C:\drodriguezt';

-- Validem existencia del path de dades
CREATE TABLE #TempPathTable (Subdirectory VARCHAR(512), Depth INT);
INSERT INTO #TempPathTable (Subdirectory, Depth)
EXEC master.sys.xp_dirtree @DataPath

IF NOT EXISTS(select * from #TempPathTable)
EXEC master.dbo.xp_create_subdir @DataPath

delete from #TempPathTable;

-- Validem existencia del path de logs
INSERT INTO #TempPathTable (Subdirectory, Depth)
EXEC master.sys.xp_dirtree @LogPath

IF NOT EXISTS(select * from #TempPathTable)
EXEC master.dbo.xp_create_subdir @LogPath

drop table #TempPathTable;


-- CREATE DB
SET @DataPath = @DataPath + N'\GaudeixDB.mdf';
SET @LogPath = @LogPath + N'\GaudeixDB_log.ldf';

DECLARE @CreateDataDB nvarchar(max)

SET @CreateDataDB = 'CREATE DATABASE [GaudeixDB] ON  PRIMARY 
( NAME = N''GaudeixDB'', FILENAME = ''{DataPath}'' , SIZE = 30720KB , FILEGROWTH = 10%)
 LOG ON 
( NAME = N''GaudeixDB_log'', FILENAME = ''{LogPath}'' , SIZE = 10240KB , FILEGROWTH = 10%)';

SET @CreateDataDB = REPLACE(@CreateDataDB, '{DataPath}', @DataPath);
SET @CreateDataDB = REPLACE(@CreateDataDB, '{LogPath}', @LogPath);

EXEC sp_executesql @CreateDataDB

GO
ALTER DATABASE [GaudeixDB] SET COMPATIBILITY_LEVEL = 100
GO
ALTER DATABASE [GaudeixDB] SET ANSI_NULL_DEFAULT OFF 
GO
ALTER DATABASE [GaudeixDB] SET ANSI_NULLS OFF 
GO
ALTER DATABASE [GaudeixDB] SET ANSI_PADDING OFF 
GO
ALTER DATABASE [GaudeixDB] SET ANSI_WARNINGS OFF 
GO
ALTER DATABASE [GaudeixDB] SET ARITHABORT OFF 
GO
ALTER DATABASE [GaudeixDB] SET AUTO_CLOSE OFF 
GO
ALTER DATABASE [GaudeixDB] SET AUTO_CREATE_STATISTICS ON 
GO
ALTER DATABASE [GaudeixDB] SET AUTO_SHRINK OFF 
GO
ALTER DATABASE [GaudeixDB] SET AUTO_UPDATE_STATISTICS ON 
GO
ALTER DATABASE [GaudeixDB] SET CURSOR_CLOSE_ON_COMMIT OFF 
GO
ALTER DATABASE [GaudeixDB] SET CURSOR_DEFAULT  GLOBAL 
GO
ALTER DATABASE [GaudeixDB] SET CONCAT_NULL_YIELDS_NULL OFF 
GO
ALTER DATABASE [GaudeixDB] SET NUMERIC_ROUNDABORT OFF 
GO
ALTER DATABASE [GaudeixDB] SET QUOTED_IDENTIFIER OFF 
GO
ALTER DATABASE [GaudeixDB] SET RECURSIVE_TRIGGERS OFF 
GO
ALTER DATABASE [GaudeixDB] SET  DISABLE_BROKER 
GO
ALTER DATABASE [GaudeixDB] SET AUTO_UPDATE_STATISTICS_ASYNC OFF 
GO
ALTER DATABASE [GaudeixDB] SET DATE_CORRELATION_OPTIMIZATION OFF 
GO
ALTER DATABASE [GaudeixDB] SET PARAMETERIZATION SIMPLE 
GO
ALTER DATABASE [GaudeixDB] SET  READ_WRITE 
GO
ALTER DATABASE [GaudeixDB] SET RECOVERY SIMPLE 
GO
ALTER DATABASE [GaudeixDB] SET  MULTI_USER 
GO
ALTER DATABASE [GaudeixDB] SET PAGE_VERIFY CHECKSUM  
GO
USE [GaudeixDB]
GO
IF NOT EXISTS (SELECT name FROM sys.filegroups WHERE is_default=1 AND name = N'PRIMARY') ALTER DATABASE [GaudeixDB] MODIFY FILEGROUP [PRIMARY] DEFAULT
GO
