USE [GaudeixDB]
/****** Object:  Table [dbo].[Categories]    Script Date: 12/05/2012 21:42:24 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[Categories](
	[Id] [int] IDENTITY(1,1) NOT NULL,
	[Descripcio] [nvarchar](20) NOT NULL,
 CONSTRAINT [PK_Categories] PRIMARY KEY CLUSTERED 
(
	[Id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Cont les categories disponibles per a ofertes i gustos d''usuari' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'Categories'
GO
/****** Object:  Table [dbo].[CuaCorreu]    Script Date: 12/05/2012 21:42:24 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[CuaCorreu](
	[Id] [int] IDENTITY(1,1) NOT NULL,
	[Destinatari] [varchar](80) NOT NULL,
	[Titol] [varchar](150) NOT NULL,
	[Text] [ntext] NOT NULL,
	[Enviat] [bit] NOT NULL,
 CONSTRAINT [PK_CuaCorreu] PRIMARY KEY CLUSTERED 
(
	[Id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[Parametres]    Script Date: 12/05/2012 21:42:24 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[Parametres](
	[Id] [int] IDENTITY(1,1) NOT NULL,
	[CodiParametre] [nvarchar](20) NOT NULL,
	[Descripcio] [nvarchar](50) NULL,
	[Valor] [nvarchar](2000) NOT NULL,
 CONSTRAINT [PK_Parametres] PRIMARY KEY CLUSTERED 
(
	[Id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[Provincies]    Script Date: 12/05/2012 21:42:24 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[Provincies](
	[Id] [int] IDENTITY(1,1) NOT NULL,
	[Codi] [nvarchar](2) NOT NULL,
	[Nom] [nvarchar](30) NOT NULL,
 CONSTRAINT [PK_Provincies] PRIMARY KEY CLUSTERED 
(
	[Id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Cont les provincies de l''aplicaci' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'Provincies'
GO
/****** Object:  Table [dbo].[Poblacions]    Script Date: 12/05/2012 21:42:24 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[Poblacions](
	[Id] [int] IDENTITY(1,1) NOT NULL,
	[IdProvincia] [int] NOT NULL,
	[Nom] [nvarchar](50) NOT NULL,
 CONSTRAINT [PK_Poblacions] PRIMARY KEY CLUSTERED 
(
	[Id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Cont les poblacions de l''aplicaci' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'Poblacions'
GO
/****** Object:  Table [dbo].[Usuaris]    Script Date: 12/05/2012 21:42:25 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[Usuaris](
	[Id] [int] IDENTITY(1,1) NOT NULL,
	[Nom] [nvarchar](20) NOT NULL,
	[Cognom1] [nvarchar](20) NOT NULL,
	[Cognom2] [nvarchar](20) NULL,
	[Nif] [nvarchar](9) NOT NULL,
	[Email] [nvarchar](80) NOT NULL,
	[Adreca] [nvarchar](100) NOT NULL,
	[idPoblacio] [int] NOT NULL,
	[CodiPostal] [nvarchar](5) NOT NULL,
	[DataNaixement] [date] NOT NULL,
	[LoginUsuari] [nvarchar](12) NOT NULL,
	[LoginPassword] [nvarchar](30) NOT NULL,
	[PreguntaClau] [nvarchar](80) NOT NULL,
	[RespostaClau] [nvarchar](50) NOT NULL,
	[MailOfertes] [bit] NOT NULL,
	[DataAlta] [datetime] NOT NULL,
 CONSTRAINT [PK_Usuaris] PRIMARY KEY CLUSTERED 
(
	[Id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY],
 CONSTRAINT [IX_Usuaris_Login] UNIQUE NONCLUSTERED 
(
	[LoginUsuari] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY],
 CONSTRAINT [IX_Usuaris_Nif] UNIQUE NONCLUSTERED 
(
	[Nif] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Cont els usuaris donats d''alta a l''aplicaci' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'Usuaris'
GO
/****** Object:  Table [dbo].[Empreses]    Script Date: 12/05/2012 21:42:24 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[Empreses](
	[Id] [int] IDENTITY(1,1) NOT NULL,
	[Nom] [nvarchar](50) NOT NULL,
	[Cif] [nvarchar](10) NOT NULL,
	[Adreca] [nvarchar](100) NULL,
	[Email] [nvarchar](80) NOT NULL,
	[IdPoblacio] [int] NOT NULL,
	[Contactes] [nvarchar](120) NULL,
 CONSTRAINT [PK_Empreses] PRIMARY KEY CLUSTERED 
(
	[Id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
CREATE UNIQUE NONCLUSTERED INDEX [IX_Empreses] ON [dbo].[Empreses] 
(
	[Cif] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Cont les diferents empreses associades al portal' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'Empreses'
GO
/****** Object:  Table [dbo].[CategoriesUsuari]    Script Date: 12/05/2012 21:42:24 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[CategoriesUsuari](
	[Id] [int] IDENTITY(1,1) NOT NULL,
	[IdUsuari] [int] NOT NULL,
	[IdCategoria] [int] NOT NULL,
 CONSTRAINT [PK_AficionsUsuari] PRIMARY KEY CLUSTERED 
(
	[Id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Cont la relaci d''aficions de cada usuari, segons el catleg de categories existent' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'CategoriesUsuari'
GO
/****** Object:  Table [dbo].[Ofertes]    Script Date: 12/05/2012 21:42:24 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[Ofertes](
	[Id] [int] IDENTITY(1,1) NOT NULL,
	[IdEmpresa] [int] NOT NULL,
	[DataInici] [date] NOT NULL,
	[DataFi] [date] NOT NULL,
	[PreuBase] [decimal](6, 2) NOT NULL,
	[PreuVenda] [decimal](6, 2) NOT NULL,
	[Titol] [nvarchar](100) NOT NULL,
	[Descripcio] [nvarchar](2000) NOT NULL,
	[NotaMitja] [decimal](4, 2) NOT NULL,
	[IdPoblacio] [int] NULL,
	[DadesResum] [nvarchar](2000) NOT NULL,
	[DadesAddicionals] [nvarchar](2000) NOT NULL,
	[DadesLocalitzacio] [nvarchar](2000) NOT NULL,
	[NumVisites] [int] NOT NULL,
	[IdCategoria] [int] NOT NULL,
	[NumCompres] [int] NOT NULL,
	[DataPublicacio] [datetime] NULL,
 CONSTRAINT [PK_Ofertes] PRIMARY KEY CLUSTERED 
(
	[Id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Cont el catleg d''ofertes del sistema' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'Ofertes'
GO
/****** Object:  Table [dbo].[FotoOferta]    Script Date: 12/05/2012 21:42:24 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[FotoOferta](
	[Id] [int] IDENTITY(1,1) NOT NULL,
	[IdOferta] [int] NOT NULL,
	[Foto] [image] NOT NULL,
 CONSTRAINT [PK_FotoOferta] PRIMARY KEY CLUSTERED 
(
	[Id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Guarda la foto d''una oferta' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'FotoOferta'
GO
/****** Object:  Table [dbo].[CompresUsuari]    Script Date: 12/05/2012 21:42:24 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[CompresUsuari](
	[Id] [int] IDENTITY(1,1) NOT NULL,
	[IdUsuari] [int] NOT NULL,
	[IdOferta] [int] NOT NULL,
	[DataCompra] [datetime] NOT NULL,
	[PreuBase] [decimal](6, 2) NOT NULL,
	[PreuCompra] [decimal](6, 2) NOT NULL,
 CONSTRAINT [PK_CompresUsuari] PRIMARY KEY CLUSTERED 
(
	[Id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Cont la relaci de compres efectuades per un usuari' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'CompresUsuari'
GO
/****** Object:  Table [dbo].[ComentarisOferta]    Script Date: 12/05/2012 21:42:24 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[ComentarisOferta](
	[Id] [int] IDENTITY(1,1) NOT NULL,
	[IdUsuari] [int] NOT NULL,
	[IdOferta] [int] NOT NULL,
	[Comentari] [nvarchar](1000) NOT NULL,
	[DataInsercio] [datetime] NOT NULL,
	[UsuariCertificat] [bit] NOT NULL,
	[Valoracio] [smallint] NOT NULL,
 CONSTRAINT [PK_ComentarisOferta] PRIMARY KEY CLUSTERED 
(
	[Id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Cont els diferents comentaris realitzats a les ofertes' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'ComentarisOferta'
GO
/****** Object:  Table [dbo].[CategoriesOferta]    Script Date: 12/05/2012 21:42:24 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[CategoriesOferta](
	[Id] [int] IDENTITY(1,1) NOT NULL,
	[IdOferta] [int] NOT NULL,
	[IdCategoria] [int] NOT NULL,
 CONSTRAINT [PK_CategoriesOferta] PRIMARY KEY CLUSTERED 
(
	[Id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Cont les categories associades a cada oferta' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'CategoriesOferta'
GO
/****** Object:  Check [CK_ComentarisOferta]    Script Date: 12/05/2012 21:42:24 ******/
ALTER TABLE [dbo].[ComentarisOferta]  WITH CHECK ADD  CONSTRAINT [CK_ComentarisOferta] CHECK  (([Valoracio]>=(0) AND [Valoracio]<=(10)))
GO
ALTER TABLE [dbo].[ComentarisOferta] CHECK CONSTRAINT [CK_ComentarisOferta]
GO
/****** Object:  ForeignKey [FK_CategoriesOferta_Ofertes]    Script Date: 12/05/2012 21:42:24 ******/
ALTER TABLE [dbo].[CategoriesOferta]  WITH CHECK ADD  CONSTRAINT [FK_CategoriesOferta_Ofertes] FOREIGN KEY([IdOferta])
REFERENCES [dbo].[Ofertes] ([Id])
GO
ALTER TABLE [dbo].[CategoriesOferta] CHECK CONSTRAINT [FK_CategoriesOferta_Ofertes]
GO
/****** Object:  ForeignKey [FK_AficionsUsuari_Categories]    Script Date: 12/05/2012 21:42:24 ******/
ALTER TABLE [dbo].[CategoriesUsuari]  WITH CHECK ADD  CONSTRAINT [FK_AficionsUsuari_Categories] FOREIGN KEY([IdCategoria])
REFERENCES [dbo].[Categories] ([Id])
GO
ALTER TABLE [dbo].[CategoriesUsuari] CHECK CONSTRAINT [FK_AficionsUsuari_Categories]
GO
/****** Object:  ForeignKey [FK_AficionsUsuari_Usuaris]    Script Date: 12/05/2012 21:42:24 ******/
ALTER TABLE [dbo].[CategoriesUsuari]  WITH CHECK ADD  CONSTRAINT [FK_AficionsUsuari_Usuaris] FOREIGN KEY([IdUsuari])
REFERENCES [dbo].[Usuaris] ([Id])
GO
ALTER TABLE [dbo].[CategoriesUsuari] CHECK CONSTRAINT [FK_AficionsUsuari_Usuaris]
GO
/****** Object:  ForeignKey [FK_ComentarisOferta_Ofertes]    Script Date: 12/05/2012 21:42:24 ******/
ALTER TABLE [dbo].[ComentarisOferta]  WITH CHECK ADD  CONSTRAINT [FK_ComentarisOferta_Ofertes] FOREIGN KEY([IdOferta])
REFERENCES [dbo].[Ofertes] ([Id])
GO
ALTER TABLE [dbo].[ComentarisOferta] CHECK CONSTRAINT [FK_ComentarisOferta_Ofertes]
GO
/****** Object:  ForeignKey [FK_ComentarisOferta_Usuaris]    Script Date: 12/05/2012 21:42:24 ******/
ALTER TABLE [dbo].[ComentarisOferta]  WITH CHECK ADD  CONSTRAINT [FK_ComentarisOferta_Usuaris] FOREIGN KEY([IdUsuari])
REFERENCES [dbo].[Usuaris] ([Id])
GO
ALTER TABLE [dbo].[ComentarisOferta] CHECK CONSTRAINT [FK_ComentarisOferta_Usuaris]
GO
/****** Object:  ForeignKey [FK_CompresUsuari_Ofertes]    Script Date: 12/05/2012 21:42:24 ******/
ALTER TABLE [dbo].[CompresUsuari]  WITH CHECK ADD  CONSTRAINT [FK_CompresUsuari_Ofertes] FOREIGN KEY([IdOferta])
REFERENCES [dbo].[Ofertes] ([Id])
GO
ALTER TABLE [dbo].[CompresUsuari] CHECK CONSTRAINT [FK_CompresUsuari_Ofertes]
GO
/****** Object:  ForeignKey [FK_CompresUsuari_Usuaris]    Script Date: 12/05/2012 21:42:24 ******/
ALTER TABLE [dbo].[CompresUsuari]  WITH CHECK ADD  CONSTRAINT [FK_CompresUsuari_Usuaris] FOREIGN KEY([IdUsuari])
REFERENCES [dbo].[Usuaris] ([Id])
GO
ALTER TABLE [dbo].[CompresUsuari] CHECK CONSTRAINT [FK_CompresUsuari_Usuaris]
GO
/****** Object:  ForeignKey [FK_Empreses_Poblacions]    Script Date: 12/05/2012 21:42:24 ******/
ALTER TABLE [dbo].[Empreses]  WITH CHECK ADD  CONSTRAINT [FK_Empreses_Poblacions] FOREIGN KEY([IdPoblacio])
REFERENCES [dbo].[Poblacions] ([Id])
GO
ALTER TABLE [dbo].[Empreses] CHECK CONSTRAINT [FK_Empreses_Poblacions]
GO
/****** Object:  ForeignKey [FK_FotoOferta_Ofertes]    Script Date: 12/05/2012 21:42:24 ******/
ALTER TABLE [dbo].[FotoOferta]  WITH CHECK ADD  CONSTRAINT [FK_FotoOferta_Ofertes] FOREIGN KEY([IdOferta])
REFERENCES [dbo].[Ofertes] ([Id])
GO
ALTER TABLE [dbo].[FotoOferta] CHECK CONSTRAINT [FK_FotoOferta_Ofertes]
GO
/****** Object:  ForeignKey [FK_Ofertes_Categories]    Script Date: 12/05/2012 21:42:24 ******/
ALTER TABLE [dbo].[Ofertes]  WITH CHECK ADD  CONSTRAINT [FK_Ofertes_Categories] FOREIGN KEY([IdCategoria])
REFERENCES [dbo].[Categories] ([Id])
GO
ALTER TABLE [dbo].[Ofertes] CHECK CONSTRAINT [FK_Ofertes_Categories]
GO
/****** Object:  ForeignKey [FK_Ofertes_Empreses]    Script Date: 12/05/2012 21:42:24 ******/
ALTER TABLE [dbo].[Ofertes]  WITH CHECK ADD  CONSTRAINT [FK_Ofertes_Empreses] FOREIGN KEY([IdEmpresa])
REFERENCES [dbo].[Empreses] ([Id])
GO
ALTER TABLE [dbo].[Ofertes] CHECK CONSTRAINT [FK_Ofertes_Empreses]
GO
/****** Object:  ForeignKey [FK_Ofertes_Poblacions]    Script Date: 12/05/2012 21:42:24 ******/
ALTER TABLE [dbo].[Ofertes]  WITH CHECK ADD  CONSTRAINT [FK_Ofertes_Poblacions] FOREIGN KEY([IdPoblacio])
REFERENCES [dbo].[Poblacions] ([Id])
GO
ALTER TABLE [dbo].[Ofertes] CHECK CONSTRAINT [FK_Ofertes_Poblacions]
GO
/****** Object:  ForeignKey [FK_Poblacions_Provincies]    Script Date: 12/05/2012 21:42:24 ******/
ALTER TABLE [dbo].[Poblacions]  WITH CHECK ADD  CONSTRAINT [FK_Poblacions_Provincies] FOREIGN KEY([IdProvincia])
REFERENCES [dbo].[Provincies] ([Id])
GO
ALTER TABLE [dbo].[Poblacions] CHECK CONSTRAINT [FK_Poblacions_Provincies]
GO
/****** Object:  ForeignKey [FK_Usuaris_Poblacions]    Script Date: 12/05/2012 21:42:25 ******/
ALTER TABLE [dbo].[Usuaris]  WITH CHECK ADD  CONSTRAINT [FK_Usuaris_Poblacions] FOREIGN KEY([idPoblacio])
REFERENCES [dbo].[Poblacions] ([Id])
GO
ALTER TABLE [dbo].[Usuaris] CHECK CONSTRAINT [FK_Usuaris_Poblacions]
GO
